Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api.script
Interface IScriptDataSetEventHandler

All Superinterfaces:
  IBaseDataSetEventHandler

    public interface IScriptDataSetEventHandler

extends IBaseDataSetEventHandler

Event handler for a Script Data Set

Method Summary
`void` | `handleClose(IDataSetInstanceHandle dataSet)`
`boolean` | `handleDescribe(IDataSetInstanceHandle dataSet, IScriptDataSetMetaDataDefinition metaData)` Method for Script Data Set to return dynamically generated data set metadata.
`boolean` | `handleFetch(IDataSetInstanceHandle dataSet, IDataRow row)` Called by data engine to obtain the next data row.
`void` | `handleOpen(IDataSetInstanceHandle dataSet)`

Methods inherited from interface org.eclipse.birt.data.engine.api.script.IBaseDataSetEventHandler
`handleAfterClose, handleAfterOpen, handleBeforeClose, handleBeforeOpen, handleOnFetch`

Method Detail

### handleOpen

    void handleOpen(IDataSetInstanceHandle dataSet)
                    throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### handleClose

    void handleClose(IDataSetInstanceHandle dataSet)
                     throws org.eclipse.birt.core.exception.BirtException

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### handleFetch

    boolean handleFetch(IDataSetInstanceHandle dataSet,
                        IDataRow row)
                        throws org.eclipse.birt.core.exception.BirtException

  Called by data engine to obtain the next data row. Implementation should fill in row data by using the IDataRow interface.

  Returns:
    true if current data row is available and has been populated; false if no more data row is unavailable; row has not been populated
  Throws:
    `org.eclipse.birt.core.exception.BirtException`

### handleDescribe

    boolean handleDescribe(IDataSetInstanceHandle dataSet,
                           IScriptDataSetMetaDataDefinition metaData)
                           throws org.eclipse.birt.core.exception.BirtException

  Method for Script Data Set to return dynamically generated data set metadata. This method is called by data engine before the open() event is fired. If the data set implementation has dynamically generated metadata, it should call the addColumn method on the metaData object to add all its column definition, then return true. If the data set implementation uses the static metadata defined in the data set definition, it should return false.

  Throws:
    `org.eclipse.birt.core.exception.BirtException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.